Bug 460002 - kernel recursive fault
kernel recursive fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 11:36 EDT by Csongor Fagyal
Modified: 2009-01-09 01:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Csongor Fagyal 2008-08-25 11:36:47 EDT
Description of problem:
I have the recent x86_64 kernel running on a Q6600. The system occesionally dies (unresponsive, reboot needed). Syslog says something about a kernel bug, please se below.

Version-Release number of selected component (if applicable):
Linux version 2.6.25.14-69.fc8 (mockbuild@x86-3) (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Mon Aug 4 14:00:45 EDT 2008
4G RAM / Q6600, basically a LAMP system

How reproducible:
-

Steps to Reproduce:
-
  
Actual results:

Aug 25 16:37:24 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000860
Aug 25 16:37:24 www kernel: IP: [<ffffffff810827d7>] __inc_zone_state+0xd/0x56
Aug 25 16:37:24 www kernel: PGD 1174a6067 PUD 1174aa067 PMD 0
Aug 25 16:37:24 www kernel: Oops: 0000 [1] SMP
Aug 25 16:37:24 www kernel: CPU 2
Aug 25 16:37:24 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:24 www kernel: Pid: 32620, comm: mysqld Not tainted 2.6.25.14-69.fc8 #1
Aug 25 16:37:24 www kernel: RIP: 0010:[<ffffffff810827d7>]  [<ffffffff810827d7>] __inc_zone_state+0xd/0x56
Aug 25 16:37:24 www kernel: RSP: 0000:ffff8100761f9e38  EFLAGS: 00010206
Aug 25 16:37:24 www kernel: RAX: 0000000000000002 RBX: ffff8100bf1d3538 RCX: 0000000000000003
Aug 25 16:37:24 www kernel: RDX: 00000007ff65c2a7 RSI: 0000000000000003 RDI: 0000000000000800
Aug 25 16:37:24 www kernel: RBP: ffff8100761f9e48 R08: ffff81011fc02934 R09: 0000000000037340
Aug 25 16:37:24 www kernel: R10: 0000000000000000 R11: 0000000000000002 R12: ffffe20000f8ac68
Aug 25 16:37:24 www kernel: R13: ffffe200029ce638 R14: 80000000470cb067 R15: 00003ffffffff000
Aug 25 16:37:24 www kernel: FS:  0000000040139950(0063) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:24 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 25 16:37:24 www kernel: CR2: 0000000000000860 CR3: 0000000117420000 CR4: 00000000000006e0
Aug 25 16:37:24 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:24 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:24 www kernel: Process mysqld (pid: 32620, threadinfo ffff8100761f8000, task ffff8100bf034000)
Aug 25 16:37:24 www kernel: Stack:  ffff8100761f9e48 ffffffff81082d5d ffff8100761f9e58 ffffffff8108cd57
Aug 25 16:37:24 www kernel:  ffff8100761f9e68 ffffffff8108cd79 ffff8100761f9ee8 ffffffff810869d5
Aug 25 16:37:24 www kernel:  ffffffff810277aa 00000001000000b4 00007ff65c2a7000 ffff81010981df20
Aug 25 16:37:24 www kernel: Call Trace:
Aug 25 16:37:24 www kernel:  [<ffffffff81082d5d>] ? __inc_zone_page_state+0x28/0x2a
Aug 25 16:37:24 www kernel:  [<ffffffff8108cd57>] __page_set_anon_rmap+0x35/0x37
Aug 25 16:37:24 www kernel:  [<ffffffff8108cd79>] page_add_new_anon_rmap+0x20/0x22
Aug 25 16:37:24 www kernel:  [<ffffffff810869d5>] handle_mm_fault+0x2f0/0x712
Aug 25 16:37:24 www kernel:  [<ffffffff810277aa>] ? hrtick_start_fair+0xfa/0x138
Aug 25 16:37:24 www kernel:  [<ffffffff8128e1c9>] do_page_fault+0x3b1/0x757
Aug 25 16:37:24 www kernel:  [<ffffffff810438a2>] ? find_task_by_pid_type_ns+0x1b/0x1e
Aug 25 16:37:24 www kernel:  [<ffffffff8128c399>] error_exit+0x0/0x51
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: Code: ef 20 48 c1 e8 2d 81 e7 00 18 00 00 83 e0 3f 48 03 3c c5 40 e8 44 81 e8 7c ff ff ff c9 c3 65 8b 04 25 24 00 00 00 89 c0 55 89 f1 <48> 8b 44 c7 50 48 89 e5 4c 8d 44 08 22 41 8a 10 8d 72 01 41 88
Aug 25 16:37:24 www kernel: RIP  [<ffffffff810827d7>] __inc_zone_state+0xd/0x56
Aug 25 16:37:24 www kernel:  RSP <ffff8100761f9e38>
Aug 25 16:37:24 www kernel: CR2: 0000000000000860
Aug 25 16:37:24 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:24 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:24 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: PGD 7905f067 PUD bf9fd067 PMD 0
Aug 25 16:37:24 www kernel: Oops: 0002 [2] SMP
Aug 25 16:37:24 www kernel: CPU 2
Aug 25 16:37:24 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:24 www kernel: Pid: 32670, comm: rsyslogd Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:24 www kernel: RIP: 0010:[<ffffffff8128c0cf>]  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: RSP: 0000:ffff8100bf035db8  EFLAGS: 00010082
Aug 25 16:37:24 www kernel: RAX: 0000000000000100 RBX: ffffe20000f8ac68 RCX: ffff81000000e800
Aug 25 16:37:24 www kernel: RDX: 0044080000000008 RSI: 000000000000ee0b RDI: 0000000000000e80
Aug 25 16:37:24 www kernel: RBP: ffff8100bf035db8 R08: ffff81011fc02924 R09: 0000000000037340
Aug 25 16:37:24 www kernel: R10: 0000000000000000 R11: 0000000000000002 R12: 0000000000000800
Aug 25 16:37:24 www kernel: R13: ffff81000101e6c0 R14: 000000000000000a R15: ffff8100608bc420
Aug 25 16:37:24 www kernel: FS:  000000004216f950(0063) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:24 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80 CR3: 0000000080cdb000 CR4: 00000000000006e0
Aug 25 16:37:24 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:24 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:24 www kernel: Process rsyslogd (pid: 32670, threadinfo ffff8100bf034000, task ffff810054056000)
Aug 25 16:37:24 www kernel: Stack:  ffff8100bf035de8 ffffffff8107edb4 8000000047b09067 ffffe20003d43598
Aug 25 16:37:24 www kernel:  ffff810080d09f20 ffffe20000fae9f8 ffff8100bf035df8 ffffffff8107f43c
Aug 25 16:37:24 www kernel:  ffff8100bf035e68 ffffffff81084563 ffff810000000000 ffff8100bf9fd048
Aug 25 16:37:24 www kernel: Call Trace:
Aug 25 16:37:24 www kernel:  [<ffffffff8107edb4>] __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:24 www kernel:  [<ffffffff8107f43c>] lru_cache_add_active+0x4e/0x50
Aug 25 16:37:24 www kernel:  [<ffffffff81084563>] do_wp_page+0x41b/0x4e3
Aug 25 16:37:24 www kernel:  [<ffffffff81086d7f>] handle_mm_fault+0x69a/0x712
Aug 25 16:37:24 www kernel:  [<ffffffff8128e1c9>] do_page_fault+0x3b1/0x757
Aug 25 16:37:24 www kernel:  [<ffffffff8128c399>] error_exit+0x0/0x51
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: Code: da ff c9 c3 55 48 89 e5 9c 58 fa ba 00 01 00 00 f0 66 0f c1 17 38 f2 74 06 f3 90 8a 17 eb f6 c9 c3 55 48 89 e5 fa b8 00 01 00 00 <f0> 66 0f c1 07 38 e0 74 06 f3 90 8a 07 eb f6 c9 c3 55 48 89 e5
Aug 25 16:37:24 www kernel: RIP  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  RSP <ffff8100bf035db8>
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80
Aug 25 16:37:24 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:24 www kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21
Aug 25 16:37:24 www kernel: in_atomic():0, irqs_disabled():1
Aug 25 16:37:24 www kernel: Pid: 32670, comm: rsyslogd Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: Call Trace:
Aug 25 16:37:24 www kernel:  [<ffffffff8104887f>] ? lock_hrtimer_base+0x25/0x4b
Aug 25 16:37:24 www kernel:  [<ffffffff81029242>] __might_sleep+0xb5/0xb7
Aug 25 16:37:24 www kernel:  [<ffffffff8128b15f>] down_read+0x1d/0x2e
Aug 25 16:37:24 www kernel:  [<ffffffff8105c0fd>] acct_collect+0x4c/0x199
Aug 25 16:37:24 www kernel:  [<ffffffff81035fe1>] do_exit+0x21b/0x65c
Aug 25 16:37:24 www kernel:  [<ffffffff8128c75e>] oops_begin+0x0/0x96
Aug 25 16:37:24 www kernel:  [<ffffffff8128e4c0>] do_page_fault+0x6a8/0x757
Aug 25 16:37:24 www kernel:  [<ffffffff8128c399>] error_exit+0x0/0x51
Aug 25 16:37:24 www kernel:  [<ffffffff8128c0cf>] ? _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  [<ffffffff811375de>] ? list_add+0xc/0xe
Aug 25 16:37:24 www kernel:  [<ffffffff8107edb4>] ? __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:24 www kernel:  [<ffffffff8107f43c>] ? lru_cache_add_active+0x4e/0x50
Aug 25 16:37:24 www kernel:  [<ffffffff81084563>] ? do_wp_page+0x41b/0x4e3
Aug 25 16:37:24 www kernel:  [<ffffffff81086d7f>] ? handle_mm_fault+0x69a/0x712
Aug 25 16:37:24 www kernel:  [<ffffffff8128e1c9>] ? do_page_fault+0x3b1/0x757
Aug 25 16:37:24 www kernel:  [<ffffffff8128c399>] ? error_exit+0x0/0x51
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:24 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: PGD 109834067 PUD 10a994067 PMD 10a033067 PTE 0
Aug 25 16:37:24 www kernel: Oops: 0002 [3] SMP
Aug 25 16:37:24 www kernel: CPU 2
Aug 25 16:37:24 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:24 www kernel: Pid: 30008, comm: pet_run_fcgipro Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:24 www kernel: RIP: 0010:[<ffffffff8128c0cf>]  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: RSP: 0018:ffff810107993ab8  EFLAGS: 00010006
Aug 25 16:37:24 www kernel: RAX: 0000000000000100 RBX: ffffe20000f8ac68 RCX: ffff81000000e800
Aug 25 16:37:24 www kernel: RDX: 0044080000000008 RSI: 000000000000ee16 RDI: 0000000000000e80
Aug 25 16:37:24 www kernel: RBP: ffff810107993ab8 R08: ffff81011fc02924 R09: 00000000000001b6
Aug 25 16:37:24 www kernel: R10: ffff81010c08f700 R11: 0000000000000001 R12: 0000000000000800
Aug 25 16:37:24 www kernel: R13: ffff81000101e6c0 R14: 000000000000000a R15: ffff810080cbe1e0
Aug 25 16:37:24 www kernel: FS:  00007fda560806f0(0000) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:24 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80 CR3: 0000000107eaa000 CR4: 00000000000006e0
Aug 25 16:37:24 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:24 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:24 www kernel: Process pet_run_fcgipro (pid: 30008, threadinfo ffff810107992000, task ffff810107990000)
Aug 25 16:37:24 www kernel: Stack:  ffff810107993ae8 ffffffff8107edb4 0000000000000002 0000000000000000
Aug 25 16:37:24 www kernel:  0000000000000001 0000000000000001 ffff810107993b08 ffffffff8107f011
Aug 25 16:37:24 www kernel:  ffff810107993b18 ffff810107993b68 ffff810107993b18 ffffffff8107f090
Aug 25 16:37:24 www kernel: Call Trace:
Aug 25 16:37:24 www kernel:  [<ffffffff8107edb4>] __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:24 www kernel:  [<ffffffff8107f011>] drain_cpu_pagevecs+0x49/0x6f
Aug 25 16:37:24 www kernel:  [<ffffffff8107f090>] lru_add_drain+0x11/0x13
Aug 25 16:37:24 www kernel:  [<ffffffff8107f2c6>] __pagevec_release+0x11/0x2d
Aug 25 16:37:24 www kernel:  [<ffffffff8107fac2>] truncate_inode_pages_range+0x109/0x35b
Aug 25 16:37:24 www kernel:  [<ffffffff81099787>] ? shmem_get_acl+0x19/0x50
Aug 25 16:37:24 www kernel:  [<ffffffff810851b9>] ? unmap_mapping_range+0x59/0x210
Aug 25 16:37:24 www kernel:  [<ffffffff810997f1>] ? shmem_check_acl+0x21/0x58
Aug 25 16:37:24 www kernel:  [<ffffffff810b28b6>] ? __d_lookup+0xb1/0x108
Aug 25 16:37:24 www kernel:  [<ffffffff8107fd21>] truncate_inode_pages+0xd/0x10
Aug 25 16:37:24 www kernel:  [<ffffffff81087566>] vmtruncate+0x96/0xe4
Aug 25 16:37:24 www kernel:  [<ffffffff810b5468>] inode_setattr+0x2b/0x125
Aug 25 16:37:24 www kernel:  [<ffffffff81098e71>] shmem_notify_change+0xac/0xe5
Aug 25 16:37:24 www kernel:  [<ffffffff8128bb89>] ? __down_write+0xb/0xd
Aug 25 16:37:24 www kernel:  [<ffffffff810b56e1>] notify_change+0x17f/0x30a
Aug 25 16:37:24 www kernel:  [<ffffffff810a0cc6>] do_truncate+0x63/0x81
Aug 25 16:37:24 www kernel:  [<ffffffff810a8dcc>] ? get_write_access+0x18/0x41
Aug 25 16:37:24 www kernel:  [<ffffffff810aa4ab>] may_open+0x1c2/0x214
Aug 25 16:37:24 www kernel:  [<ffffffff810acc31>] open_namei+0x2d5/0x67c
Aug 25 16:37:24 www kernel:  [<ffffffff810a04ff>] do_filp_open+0x28/0x46
Aug 25 16:37:24 www kernel:  [<ffffffff810a0216>] ? get_unused_fd_flags+0x76/0x11e
Aug 25 16:37:24 www kernel:  [<ffffffff810a056e>] do_sys_open+0x51/0xd2
Aug 25 16:37:24 www kernel:  [<ffffffff810a0618>] sys_open+0x1b/0x1d
Aug 25 16:37:24 www kernel:  [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: Code: da ff c9 c3 55 48 89 e5 9c 58 fa ba 00 01 00 00 f0 66 0f c1 17 38 f2 74 06 f3 90 8a 17 eb f6 c9 c3 55 48 89 e5 fa b8 00 01 00 00 <f0> 66 0f c1 07 38 e0 74 06 f3 90 8a 07 eb f6 c9 c3 55 48 89 e5
Aug 25 16:37:24 www kernel: RIP  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  RSP <ffff810107993ab8>
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80
Aug 25 16:37:24 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:24 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:24 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  RSP <ffff810107993ab8>
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80
Aug 25 16:37:24 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:24 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:24 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: PGD 109834067 PUD 10a994067 PMD 10a033067 PTE 0
Aug 25 16:37:24 www kernel: Oops: 0002 [4] SMP
Aug 25 16:37:24 www kernel: CPU 2
Aug 25 16:37:24 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:24 www kernel: Pid: 30008, comm: pet_run_fcgipro Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:24 www kernel: RIP: 0010:[<ffffffff8128c0cf>]  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel: RSP: 0018:ffff810107993828  EFLAGS: 00010006
Aug 25 16:37:24 www kernel: RAX: 0000000000000100 RBX: ffffe20000f8ac68 RCX: ffff81000000e800
Aug 25 16:37:24 www kernel: RDX: 0044080000000008 RSI: 000000000000ee20 RDI: 0000000000000e80
Aug 25 16:37:24 www kernel: RBP: ffff810107993828 R08: ffff81011fc02924 R09: ffff810001047880
Aug 25 16:37:24 www kernel: R10: ffff810001047880 R11: ffff810107990000 R12: 0000000000000800
Aug 25 16:37:24 www kernel: R13: ffff81000101e6c0 R14: 000000000000000a R15: ffff810107990000
Aug 25 16:37:24 www kernel: FS:  0000000000000000(0000) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:24 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80 CR3: 0000000107eaa000 CR4: 00000000000006e0
Aug 25 16:37:24 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:24 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:24 www kernel: Process pet_run_fcgipro (pid: 30008, threadinfo ffff810107992000, task ffff810107990000)
Aug 25 16:37:24 www kernel: Stack:  ffff810107993858 ffffffff8107edb4 0000000000000002 ffff8100ca4b8000
Aug 25 16:37:24 www kernel:  ffff810117517a00 ffff810107993a08 ffff810107993878 ffffffff8107f011
Aug 25 16:37:24 www kernel:  ffffffff8128bc14 ffff810117517a00 ffff810107993888 ffffffff8107f090
Aug 25 16:37:24 www kernel: Call Trace:
Aug 25 16:37:24 www kernel:  [<ffffffff8107edb4>] __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:24 www kernel:  [<ffffffff8107f011>] drain_cpu_pagevecs+0x49/0x6f
Aug 25 16:37:24 www kernel:  [<ffffffff8128bc14>] ? __down_read+0x89/0x92
Aug 25 16:37:24 www kernel:  [<ffffffff8107f090>] lru_add_drain+0x11/0x13
Aug 25 16:37:24 www kernel:  [<ffffffff81088975>] exit_mmap+0x20/0xee
Aug 25 16:37:24 www kernel:  [<ffffffff81030ba9>] mmput+0x42/0x8e
Aug 25 16:37:24 www kernel:  [<ffffffff81034b4b>] exit_mm+0xef/0xf7
Aug 25 16:37:24 www kernel:  [<ffffffff81036044>] do_exit+0x27e/0x65c
Aug 25 16:37:24 www kernel:  [<ffffffff8128c75e>] oops_begin+0x0/0x96
Aug 25 16:37:24 www kernel:  [<ffffffff8128e4c0>] do_page_fault+0x6a8/0x757
Aug 25 16:37:24 www kernel:  [<ffffffff8128c399>] error_exit+0x0/0x51
Aug 25 16:37:24 www kernel:  [<ffffffff8128c0cf>] ? _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  [<ffffffff811375de>] ? list_add+0xc/0xe
Aug 25 16:37:24 www kernel:  [<ffffffff8107edb4>] ? __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:24 www kernel:  [<ffffffff8107f011>] ? drain_cpu_pagevecs+0x49/0x6f
Aug 25 16:37:24 www kernel:  [<ffffffff8107f090>] ? lru_add_drain+0x11/0x13
Aug 25 16:37:24 www kernel:  [<ffffffff8107f2c6>] ? __pagevec_release+0x11/0x2d
Aug 25 16:37:24 www kernel:  [<ffffffff8107fac2>] ? truncate_inode_pages_range+0x109/0x35b
Aug 25 16:37:24 www kernel:  [<ffffffff81099787>] ? shmem_get_acl+0x19/0x50
Aug 25 16:37:24 www kernel:  [<ffffffff810851b9>] ? unmap_mapping_range+0x59/0x210
Aug 25 16:37:24 www kernel:  [<ffffffff810997f1>] ? shmem_check_acl+0x21/0x58
Aug 25 16:37:24 www kernel:  [<ffffffff810b28b6>] ? __d_lookup+0xb1/0x108
Aug 25 16:37:24 www kernel:  [<ffffffff8107fd21>] ? truncate_inode_pages+0xd/0x10
Aug 25 16:37:24 www kernel:  [<ffffffff81087566>] ? vmtruncate+0x96/0xe4
Aug 25 16:37:24 www kernel:  [<ffffffff810b5468>] ? inode_setattr+0x2b/0x125
Aug 25 16:37:24 www kernel:  [<ffffffff81098e71>] ? shmem_notify_change+0xac/0xe5
Aug 25 16:37:24 www kernel:  [<ffffffff8128bb89>] ? __down_write+0xb/0xd
Aug 25 16:37:24 www kernel:  [<ffffffff810b56e1>] ? notify_change+0x17f/0x30a
Aug 25 16:37:24 www kernel:  [<ffffffff810a0cc6>] ? do_truncate+0x63/0x81
Aug 25 16:37:24 www kernel:  [<ffffffff810a8dcc>] ? get_write_access+0x18/0x41
Aug 25 16:37:24 www kernel:  [<ffffffff810aa4ab>] ? may_open+0x1c2/0x214
Aug 25 16:37:24 www kernel:  [<ffffffff810acc31>] ? open_namei+0x2d5/0x67c
Aug 25 16:37:24 www kernel:  [<ffffffff810a04ff>] ? do_filp_open+0x28/0x46
Aug 25 16:37:24 www kernel:  [<ffffffff810a0216>] ? get_unused_fd_flags+0x76/0x11e
Aug 25 16:37:24 www kernel:  [<ffffffff810a056e>] ? do_sys_open+0x51/0xd2
Aug 25 16:37:24 www kernel:  [<ffffffff810a0618>] ? sys_open+0x1b/0x1d
Aug 25 16:37:24 www kernel:  [<ffffffff8100be5b>] ? system_call_after_swapgs+0x7b/0x80
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel:
Aug 25 16:37:24 www kernel: Code: da ff c9 c3 55 48 89 e5 9c 58 fa ba 00 01 00 00 f0 66 0f c1 17 38 f2 74 06 f3 90 8a 17 eb f6 c9 c3 55 48 89 e5 fa b8 00 01 00 00 <f0> 66 0f c1 07 38 e0 74 06 f3 90 8a 07 eb f6 c9 c3 55 48 89 e5
Aug 25 16:37:24 www kernel: RIP  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:24 www kernel:  RSP <ffff810107993828>
Aug 25 16:37:24 www kernel: CR2: 0000000000000e80
Aug 25 16:37:24 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:24 www kernel: Fixing recursive fault but reboot is needed!
Aug 25 16:37:25 www xinetd[2227]: START: flashpolicy pid=32682 from=::ffff:79.121.24.247
Aug 25 16:37:25 www xinetd[2227]: EXIT: flashpolicy status=0 pid=32682 duration=0(sec)
Aug 25 16:37:25 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:25 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:25 www kernel: PGD bf0f7067 PUD 60972067 PMD 9c08b067 PTE 0
Aug 25 16:37:25 www kernel: Oops: 0002 [5] SMP
Aug 25 16:37:25 www kernel: CPU 2

Aug 25 16:37:25 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:25 www kernel: Pid: 32556, comm: httpd Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:25 www kernel: RIP: 0010:[<ffffffff8128c0cf>]  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:25 www kernel: RSP: 0018:ffff81005b097e28  EFLAGS: 00010082
Aug 25 16:37:25 www kernel: RAX: 0000000000000100 RBX: ffffe20000f8ac68 RCX: ffff81000000e800
Aug 25 16:37:25 www kernel: RDX: 0044080000000008 RSI: 000000000000ee0a RDI: 0000000000000e80
Aug 25 16:37:25 www kernel: RBP: ffff81005b097e28 R08: ffff81011fc02924 R09: 0000000000000002
Aug 25 16:37:25 www kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000800
Aug 25 16:37:25 www kernel: R13: ffff81000101e6c0 R14: 000000000000000a R15: 00007fc2a617a000
Aug 25 16:37:25 www kernel: FS:  00007fc2a615e780(0000) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:25 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 25 16:37:25 www kernel: CR2: 0000000000000e80 CR3: 000000009c155000 CR4: 00000000000006e0
Aug 25 16:37:25 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:25 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:25 www kernel: Process httpd (pid: 32556, threadinfo ffff81005b096000, task ffff8100c71a4000)
Aug 25 16:37:25 www kernel: Stack:  ffff81005b097e58 ffffffff8107edb4 0000000000000002 ffff8101128796c0
Aug 25 16:37:25 www kernel:  ffff8100d1151840 ffff8100dc838000 ffff81005b097e78 ffffffff8107f011
Aug 25 16:37:25 www kernel:  00007fc2a84d9758 ffff8101128796c0 ffff81005b097e88 ffffffff8107f090
Aug 25 16:37:25 www kernel: Call Trace:
Aug 25 16:37:25 www kernel:  [<ffffffff8107edb4>] __pagevec_lru_add_active+0x5d/0xc2
Aug 25 16:37:25 www kernel:  [<ffffffff8107f011>] drain_cpu_pagevecs+0x49/0x6f
Aug 25 16:37:25 www kernel:  [<ffffffff8107f090>] lru_add_drain+0x11/0x13
Aug 25 16:37:25 www kernel:  [<ffffffff810887f7>] unmap_region+0x3d/0x124
Aug 25 16:37:25 www kernel:  [<ffffffff8108965a>] do_munmap+0x202/0x27a
Aug 25 16:37:25 www kernel:  [<ffffffff81089712>] sys_munmap+0x40/0x59
Aug 25 16:37:25 www kernel:  [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel: Code: da ff c9 c3 55 48 89 e5 9c 58 fa ba 00 01 00 00 f0 66 0f c1 17 38 f2 74 06 f3 90 8a 17 eb f6 c9 c3 55 48 89 e5 fa b8 00 01 00 00 <f0> 66 0f c1 07 38 e0 74 06 f3 90 8a 07 eb f6 c9 c3 55 48 89 e5
Aug 25 16:37:25 www kernel: RIP  [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b
Aug 25 16:37:25 www kernel:  RSP <ffff81005b097e28>
Aug 25 16:37:25 www kernel: CR2: 0000000000000e80
Aug 25 16:37:25 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:25 www kernel: BUG: unable to handle kernel paging request at ffffe20800e07378
Aug 25 16:37:25 www kernel: IP: [<ffffffff8109c5e2>] kmem_cache_alloc+0x4b/0x75
Aug 25 16:37:25 www kernel: PGD 1001067 PUD 0
Aug 25 16:37:25 www kernel: Oops: 0000 [6] SMP
Aug 25 16:37:25 www kernel: CPU 2
Aug 25 16:37:25 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod button i2c_i801 iTCO_wdt r8169 iTCO_vendor_support i2c_core parport_pc parport sr_mod cdrom pcspkr sg pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug 25 16:37:25 www kernel: Pid: 29996, comm: pet_run_fcgipro Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:25 www kernel: RIP: 0010:[<ffffffff8109c5e2>]  [<ffffffff8109c5e2>] kmem_cache_alloc+0x4b/0x75
Aug 25 16:37:25 www kernel: RSP: 0018:ffff810118dd1ed8  EFLAGS: 00010086
Aug 25 16:37:25 www kernel: RAX: 00000000ffffe200 RBX: 0000000000000296 RCX: ffffffff810aa6cd
Aug 25 16:37:25 www kernel: RDX: ffff81000101ea80 RSI: ffffe20000e16378 RDI: ffff81011fc09000
Aug 25 16:37:25 www kernel: RBP: ffff810118dd1ef8 R08: 00007fff5e097a90 R09: 00000000ffffffff
Aug 25 16:37:25 www kernel: R10: 00000030a4ef52c0 R11: 0000000000000246 R12: 00000000000000d0
Aug 25 16:37:25 www kernel: R13: 000000000138e6c0 R14: 0000000000ba6010 R15: 0000000000000000
Aug 25 16:37:25 www kernel: FS:  00007fda560806f0(0000) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug 25 16:37:25 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 25 16:37:25 www kernel: CR2: ffffe20800e07378 CR3: 000000010c163000 CR4: 00000000000006e0
Aug 25 16:37:25 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 25 16:37:25 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 25 16:37:25 www kernel: Process pet_run_fcgipro (pid: 29996, threadinfo ffff810118dd0000, task ffff810101270000)
Aug 25 16:37:25 www kernel: Stack:  ffff810118dd1ee8 fffffffffffffff4 00000000000001b6 0000000003475350
Aug 25 16:37:25 www kernel:  ffff810118dd1f28 ffffffff810aa6cd 0000000000008241 00000000000001b6
Aug 25 16:37:25 www kernel:  00000000ffffff9c 0000000000ba6010 ffff810118dd1f68 ffffffff810a053e
Aug 25 16:37:25 www kernel: Call Trace:
Aug 25 16:37:25 www kernel:  [<ffffffff810aa6cd>] getname+0x26/0x1ac
Aug 25 16:37:25 www kernel:  [<ffffffff810a053e>] do_sys_open+0x21/0xd2
Aug 25 16:37:25 www kernel:  [<ffffffff810a0618>] sys_open+0x1b/0x1d
Aug 25 16:37:25 www kernel:  [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel: Code: 98 48 8b 94 c7 d8 02 00 00 48 8b 32 44 8b 6a 18 48 85 f6 75 13 49 89 d0 44 89 e6 83 ca ff e8 27 f8 ff ff 48 89 c6 eb 0a 8b 42 14 <48> 8b 04 c6 48 89 02 53 9d 66 45 85 e4 79 10 48 85 f6 74 0b fc
Aug 25 16:37:25 www kernel: RIP  [<ffffffff8109c5e2>] kmem_cache_alloc+0x4b/0x75
Aug 25 16:37:25 www kernel:  RSP <ffff810118dd1ed8>
Aug 25 16:37:25 www kernel: CR2: ffffe20800e07378
Aug 25 16:37:25 www kernel: ---[ end trace c69744e735253f5f ]---
Aug 25 16:37:25 www kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21
Aug 25 16:37:25 www kernel: in_atomic():0, irqs_disabled():1
Aug 25 16:37:25 www kernel: Pid: 29996, comm: pet_run_fcgipro Tainted: G      D  2.6.25.14-69.fc8 #1
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel: Call Trace:
Aug 25 16:37:25 www kernel:  [<ffffffff8104887f>] ? lock_hrtimer_base+0x25/0x4b
Aug 25 16:37:25 www kernel:  [<ffffffff81029242>] __might_sleep+0xb5/0xb7
Aug 25 16:37:25 www kernel:  [<ffffffff8128b15f>] down_read+0x1d/0x2e
Aug 25 16:37:25 www kernel:  [<ffffffff8105c0fd>] acct_collect+0x4c/0x199
Aug 25 16:37:25 www kernel:  [<ffffffff81035fe1>] do_exit+0x21b/0x65c
Aug 25 16:37:25 www kernel:  [<ffffffff8128c75e>] oops_begin+0x0/0x96
Aug 25 16:37:25 www kernel:  [<ffffffff8128e4c0>] do_page_fault+0x6a8/0x757
Aug 25 16:37:25 www kernel:  [<ffffffff8107cc91>] ? __alloc_pages+0x8e/0x345
Aug 25 16:37:25 www kernel:  [<ffffffff8128c399>] error_exit+0x0/0x51
Aug 25 16:37:25 www kernel:  [<ffffffff810aa6cd>] ? getname+0x26/0x1ac
Aug 25 16:37:25 www kernel:  [<ffffffff8109c5e2>] ? kmem_cache_alloc+0x4b/0x75
Aug 25 16:37:25 www kernel:  [<ffffffff810aa6cd>] ? getname+0x26/0x1ac
Aug 25 16:37:25 www kernel:  [<ffffffff810a053e>] ? do_sys_open+0x21/0xd2
Aug 25 16:37:25 www kernel:  [<ffffffff810a0618>] ? sys_open+0x1b/0x1d
Aug 25 16:37:25 www kernel:  [<ffffffff8100be5b>] ? system_call_after_swapgs+0x7b/0x80
Aug 25 16:37:25 www kernel:
Aug 25 16:37:25 www kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000e80
Aug 25 16:37:25 www kernel: IP: [<ffffffff8128c0cf>] _spin_lock_irq+0xa/0x1b

...and so on, reset issued...


Expected results:


Additional info:
similar freezes happened with previous kernels
Comment 1 Csongor Fagyal 2008-08-25 11:53:10 EDT
Similar error with previous kernel (2.6.25.9-40.fc8) :

Aug  2 05:04:31 www kernel: BUG: unable to handle kernel paging request at ffffe2001c0148c8
Aug  2 05:04:31 www kernel: IP: [<ffffffff81085f57>] copy_page_range+0x521/0x678
Aug  2 05:04:31 www kernel: PGD 1001067 PUD 1002067 PMD 0
Aug  2 05:04:31 www kernel: Oops: 0000 [4] SMP
Aug  2 05:04:31 www kernel: CPU 3
Aug  2 05:04:31 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod parport_pc parport i2c_i801 pcspkr i2c_core sr_mod cdrom sg iTCO_wdt r8169 iTCO_vendor_support button pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug  2 05:04:31 www kernel: Pid: 14922, comm: munin-node Tainted: G    B D  2.6.25.9-40.fc8 #1
Aug  2 05:04:31 www kernel: RIP: 0010:[<ffffffff81085f57>]  [<ffffffff81085f57>] copy_page_range+0x521/0x678
Aug  2 05:04:31 www kernel: RSP: 0018:ffff8100cdaf1d38  EFLAGS: 00010282
Aug  2 05:04:31 www kernel: RAX: ffffe2001c0148c8 RBX: 0000000008100073 RCX: 0000000000000000
Aug  2 05:04:31 www kernel: RDX: ffffe2001c0148c8 RSI: 0004003063803000 RDI: ffff8100011aac60
Aug  2 05:04:31 www kernel: RBP: ffff8100cdaf1e08 R08: ffff81010c8f4a48 R09: 000000000000b38d
Aug  2 05:04:31 www kernel: R10: 0000000000000000 R11: 0000000000000002 R12: 00450008005df709
Aug  2 05:04:31 www kernel: R13: ffff81010c8f4a48 R14: 0004003063803000 R15: ffff8100b68a0018
Aug  2 05:04:31 www kernel: FS:  00007fe4b47706f0(0000) GS:ffff81011fc02e80(0000) knlGS:0000000000000000
Aug  2 05:04:31 www kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug  2 05:04:31 www kernel: CR2: ffffe2001c0148c8 CR3: 0000000089454000 CR4: 00000000000006e0
Aug  2 05:04:31 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug  2 05:04:31 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug  2 05:04:31 www kernel: Process munin-node (pid: 14922, threadinfo ffff8100cdaf0000, task ffff8100152be000)
Aug  2 05:04:31 www kernel: Stack:  ffff8100011aac60 ffff81010c8f49c0 ffff8100cf339380 ffff810089454000
Aug  2 05:04:31 www kernel:  ffff810075162000 0000003063017000 0000003063017000 0000003063017000
Aug  2 05:04:31 www kernel:  ffff8100685d8608 ffff8100de102608 0000000008100073 ffff810034463018
Aug  2 05:04:31 www kernel: Call Trace:
Aug  2 05:04:31 www kernel:  [<ffffffff81031836>] copy_process+0xc07/0x14b8
Aug  2 05:04:31 www kernel:  [<ffffffff8103226d>] do_fork+0x9b/0x1e7
Aug  2 05:04:31 www kernel:  [<ffffffff810a8852>] ? do_pipe+0x9d/0x103
Aug  2 05:04:31 www kernel:  [<ffffffff8100be5b>] ? system_call_after_swapgs+0x7b/0x80
Aug  2 05:04:31 www kernel:  [<ffffffff8100a3eb>] sys_clone+0x23/0x25
Aug  2 05:04:31 www kernel:  [<ffffffff8100c167>] ptregscall_common+0x67/0xb0
Aug  2 05:04:31 www kernel:
Aug  2 05:04:31 www kernel:
Aug  2 05:04:31 www kernel: Code: e0 48 8b bd 30 ff ff ff 4c 89 f6 48 83 e0 bf f6 45 80 08 4c 0f 45 e0 49 83 e4 df 4c 89 e2 e8 02 dc ff ff 48 85 c0 48 89 c2 74 35 <48> 8b 00 48 89 d1 25 00 40 02 00 48 3d 00 40 02 00 75 04 48 8b
Aug  2 05:04:31 www kernel: RIP  [<ffffffff81085f57>] copy_page_range+0x521/0x678
Aug  2 05:04:31 www kernel:  RSP <ffff8100cdaf1d38>
Aug  2 05:04:31 www kernel: CR2: ffffe2001c0148c8
Aug  2 05:04:31 www kernel: ---[ end trace c9d76c549ecb1d01 ]---
Aug  2 05:04:31 www kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21
Aug  2 05:04:31 www kernel: in_atomic():0, irqs_disabled():1
Aug  2 05:04:31 www kernel: Pid: 14922, comm: munin-node Tainted: G    B D  2.6.25.9-40.fc8 #1
Aug  2 05:04:31 www kernel:
Aug  2 05:04:31 www kernel: Call Trace:
Aug  2 05:04:31 www kernel:  [<ffffffff810481d0>] ? __remove_hrtimer+0x7f/0x8c
Aug  2 05:04:31 www kernel:  [<ffffffff81029242>] __might_sleep+0xb5/0xb7
Aug  2 05:04:31 www kernel:  [<ffffffff8128b855>] down_read+0x1d/0x2e
Aug  2 05:04:31 www kernel:  [<ffffffff8105c0a1>] acct_collect+0x4c/0x199
Aug  2 05:04:31 www kernel:  [<ffffffff81035fe1>] do_exit+0x21b/0x65c
Aug  2 05:04:31 www kernel:  [<ffffffff8128ce4e>] oops_begin+0x0/0x96
Aug  2 05:04:31 www kernel:  [<ffffffff8128ebb0>] do_page_fault+0x6a8/0x757
Aug  2 05:04:31 www kernel:  [<ffffffff8128ca89>] error_exit+0x0/0x51
Aug  2 05:04:31 www kernel:  [<ffffffff81085f57>] ? copy_page_range+0x521/0x678
Aug  2 05:04:31 www kernel:  [<ffffffff81085f4f>] ? copy_page_range+0x519/0x678
Aug  2 05:04:31 www kernel:  [<ffffffff81031836>] ? copy_process+0xc07/0x14b8
Aug  2 05:04:31 www kernel:  [<ffffffff8103226d>] ? do_fork+0x9b/0x1e7
Aug  2 05:04:31 www kernel:  [<ffffffff810a8852>] ? do_pipe+0x9d/0x103
Aug  2 05:04:31 www kernel:  [<ffffffff8100be5b>] ? system_call_after_swapgs+0x7b/0x80
Aug  2 05:04:31 www kernel:  [<ffffffff8100a3eb>] ? sys_clone+0x23/0x25
Aug  2 05:04:31 www kernel:  [<ffffffff8100c167>] ? ptregscall_common+0x67/0xb0
Aug  2 05:04:31 www kernel:
Aug  2 05:04:34 www kernel: BUG: unable to handle kernel paging request at 000000009338083d
Aug  2 05:04:34 www kernel: IP: [<ffffffff8108c110>] page_check_address+0x24/0x116
Aug  2 05:04:34 www kernel: PGD 11c61d067 PUD 115988067 PMD 0
Aug  2 05:04:34 www kernel: Oops: 0000 [5] SMP
Aug  2 05:04:34 www kernel: CPU 2
Aug  2 05:04:34 www kernel: Modules linked in: autofs4 fuse rfcomm l2cap bluetooth sunrpc nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_multipath dm_mod parport_pc parport i2c_i801 pcspkr i2c_core sr_mod cdrom sg iTCO_wdt r8169 iTCO_vendor_support button pata_jmicron shpchp ahci libata sd_mod scsi_mod raid456 async_xor async_memcpy async_tx xor raid1 ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Aug  2 05:04:34 www kernel: Pid: 20226, comm: pdflush Tainted: G    B D  2.6.25.9-40.fc8 #1
Aug  2 05:04:34 www kernel: RIP: 0010:[<ffffffff8108c110>]  [<ffffffff8108c110>] page_check_address+0x24/0x116
Aug  2 05:04:34 www kernel: RSP: 0018:ffff8100544afb50  EFLAGS: 00010206
Aug  2 05:04:34 www kernel: RAX: 00000000000000ff RBX: 0000000000001320 RCX: ffff8100544afbd8
Aug  2 05:04:34 www kernel: RDX: 0000000093380045 RSI: ffff8100344609c0 RDI: 00007fc389c37000
Aug  2 05:04:34 www kernel: RBP: ffff8100544afb70 R08: ffff8100ac114c60 R09: 0000000000000040
Aug  2 05:04:34 www kernel: R10: 0000000000000040 R11: ffff8100544afc00 R12: 0000000000000000
Aug  2 05:04:34 www kernel: R13: ffffe20000c9d450 R14: ffff8100544afbd8 R15: ffffe20000c9d450
Aug  2 05:04:34 www kernel: FS:  0000000000000000(0000) GS:ffff81011fc02b00(0000) knlGS:0000000000000000
Aug  2 05:04:34 www kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Aug  2 05:04:34 www kernel: CR2: 000000009338083d CR3: 000000010a2a6000 CR4: 00000000000006e0
Aug  2 05:04:34 www kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug  2 05:04:34 www kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug  2 05:04:34 www kernel: Process pdflush (pid: 20226, threadinfo ffff8100544ae000, task ffff810087e5c000)
Aug  2 05:04:34 www kernel: Stack:  0000000000001320 0000000000000000 00007fc389c37000 ffff810116b5d4d8
Aug  2 05:04:34 www kernel:  ffff8100544afc10 ffffffff8108cfe5 ffff8100544afc80 ffff8100ac114c60
Aug  2 05:04:34 www kernel:  0000000cc69f3770 00000000544afe70 ffff8101118a4468 0000000000001000
Aug  2 05:04:34 www kernel: Call Trace:
Aug  2 05:04:34 www kernel:  [<ffffffff8108cfe5>] page_mkclean+0xd9/0x165
Aug  2 05:04:34 www kernel:  [<ffffffff81076c48>] ? find_get_pages_tag+0x3d/0x91
Aug  2 05:04:34 www kernel:  [<ffffffff8107d076>] clear_page_dirty_for_io+0x50/0xb6
Aug  2 05:04:34 www kernel:  [<ffffffff8107d41f>] write_cache_pages+0x1a0/0x313
Aug  2 05:04:34 www kernel:  [<ffffffff8107cf26>] ? __writepage+0x0/0x2d
Aug  2 05:04:34 www kernel:  [<ffffffff8107d5b1>] generic_writepages+0x1f/0x25
Aug  2 05:04:34 www kernel:  [<ffffffff8107d5e6>] do_writepages+0x2f/0x37
Aug  2 05:04:34 www kernel:  [<ffffffff810bd6ae>] __writeback_single_inode+0x145/0x276
Aug  2 05:04:34 www kernel:  [<ffffffff810bdba2>] sync_sb_inodes+0x1a8/0x266
Aug  2 05:04:34 www kernel:  [<ffffffff810bdfde>] writeback_inodes+0x81/0xd4
Aug  2 05:04:34 www kernel:  [<ffffffff8107de52>] wb_kupdate+0x9f/0x10d
Aug  2 05:04:34 www kernel:  [<ffffffff8107e205>] ? pdflush+0x0/0x1d7
Aug  2 05:04:34 www kernel:  [<ffffffff8107e205>] ? pdflush+0x0/0x1d7
Aug  2 05:04:34 www kernel:  [<ffffffff8107e336>] pdflush+0x131/0x1d7
Aug  2 05:04:34 www kernel:  [<ffffffff8107ddb3>] ? wb_kupdate+0x0/0x10d
Aug  2 05:04:34 www kernel:  [<ffffffff81045e93>] kthread+0x49/0x76
Aug  2 05:04:34 www kernel:  [<ffffffff8100cc78>] child_rip+0xa/0x12
Aug  2 05:04:34 www kernel:  [<ffffffff81045e4a>] ? kthread+0x0/0x76
Aug  2 05:04:34 www kernel:  [<ffffffff8100cc6e>] ? child_rip+0x0/0x12
Aug  2 05:04:34 www kernel:
Aug  2 05:04:34 www kernel:
Aug  2 05:04:34 www kernel: Code: 08 48 89 40 08 c9 c3 55 48 89 d0 48 c1 e8 27 48 89 e5 41 56 25 ff 01 00 00 49 89 ce 41 55 49 89 fd 48 89 d7 41 54 53 48 8b 56 50 <48> 8b 14 c2 f6 c2 01 0f 84 d6 00 00 00 48 89 f8 48 be 00 f0 ff
Aug  2 05:04:34 www kernel: RIP  [<ffffffff8108c110>] page_check_address+0x24/0x116
Aug  2 05:04:34 www kernel:  RSP <ffff8100544afb50>
Aug  2 05:04:34 www kernel: CR2: 000000009338083d
Aug  2 05:04:34 www kernel: ---[ end trace c9d76c549ecb1d01 ]---
Comment 2 Csongor Fagyal 2008-08-26 12:06:43 EDT
After changing the motherboard (GA P35-DS3 => GA P45-DS3L) I have tried to compile a kernel to test the system. This is what I am getting:


Bad page state in process 'pet_run_fcgipro'
page:ffffe200017cec20 flags:0x0068080000000008 mapping:0000000000000000 mapcount:262144 count:0 (Not tainted)
Trying to fix it up, but a reboot is needed
Backtrace:
Pid: 12609, comm: pet_run_fcgipro Not tainted 2.6.25.14-69.fc8 #1

Call Trace:
 [<ffffffff8107af86>] bad_page+0x82/0xb0
 [<ffffffff8107bd80>] free_hot_cold_page+0x97/0x15f
 [<ffffffff8107be71>] __pagevec_free+0x29/0x3a
 [<ffffffff8107ecfb>] release_pages+0x136/0x192
 [<ffffffff8108ed60>] free_pages_and_swap_cache+0x7a/0x95
 [<ffffffff81084cea>] unmap_vmas+0x465/0x735
 [<ffffffff810889cc>] exit_mmap+0x77/0xee
 [<ffffffff81030ba9>] mmput+0x42/0x8e
 [<ffffffff81034b4b>] exit_mm+0xef/0xf7
 [<ffffffff81036044>] do_exit+0x27e/0x65c
 [<ffffffff8103649d>] do_group_exit+0x7b/0x96
 [<ffffffff810364ca>] sys_exit_group+0x12/0x14
 [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80

Bad page state in process 'cc1'
page:ffffe200009cec20 flags:0x0028080000000008 mapping:0000000000000000 mapcount:262144 count:0 (Tainted: G    B   )
Trying to fix it up, but a reboot is needed
Backtrace:
Pid: 27197, comm: cc1 Tainted: G    B    2.6.25.14-69.fc8 #1

Call Trace:
 [<ffffffff8107af86>] bad_page+0x82/0xb0
 [<ffffffff8107bd80>] free_hot_cold_page+0x97/0x15f
 [<ffffffff8107be71>] __pagevec_free+0x29/0x3a
 [<ffffffff8107ecfb>] release_pages+0x136/0x192
 [<ffffffff8108ed60>] free_pages_and_swap_cache+0x7a/0x95
 [<ffffffff81088a11>] exit_mmap+0xbc/0xee
 [<ffffffff81030ba9>] mmput+0x42/0x8e
 [<ffffffff81034b4b>] exit_mm+0xef/0xf7
 [<ffffffff81036044>] do_exit+0x27e/0x65c
 [<ffffffff8103649d>] do_group_exit+0x7b/0x96
 [<ffffffff810364ca>] sys_exit_group+0x12/0x14
 [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80

Bad page state in process 'cc1'
page:ffffe200009cec20 flags:0x0028080000000008 mapping:0000000000000000 mapcount:262144 count:0 (Tainted: G    B   )
Trying to fix it up, but a reboot is needed
Backtrace:
Pid: 27206, comm: cc1 Tainted: G    B    2.6.25.14-69.fc8 #1

Call Trace:
 [<ffffffff8107af86>] bad_page+0x82/0xb0
 [<ffffffff8107bd80>] free_hot_cold_page+0x97/0x15f
 [<ffffffff8107be71>] __pagevec_free+0x29/0x3a
 [<ffffffff8107ecfb>] release_pages+0x136/0x192
 [<ffffffff8108ed60>] free_pages_and_swap_cache+0x7a/0x95
 [<ffffffff81084cea>] unmap_vmas+0x465/0x735
 [<ffffffff810889cc>] exit_mmap+0x77/0xee
 [<ffffffff81030ba9>] mmput+0x42/0x8e
 [<ffffffff81034b4b>] exit_mm+0xef/0xf7
 [<ffffffff81036044>] do_exit+0x27e/0x65c
 [<ffffffff8103649d>] do_group_exit+0x7b/0x96
 [<ffffffff810364ca>] sys_exit_group+0x12/0x14
 [<ffffffff8100be5b>] system_call_after_swapgs+0x7b/0x80

Bad page state in process 'java'
page:ffffe200009cec20 flags:0x0028080000000008 mapping:0000000000000000 mapcount:262144 count:0 (Tainted: G    B   )
Trying to fix it up, but a reboot is needed
Backtrace:
Pid: 2928, comm: java Tainted: G    B    2.6.25.14-69.fc8 #1

Call Trace:
 [<ffffffff8107af86>] bad_page+0x82/0xb0
 [<ffffffff8107bd80>] free_hot_cold_page+0x97/0x15f
 [<ffffffff8107be71>] __pagevec_free+0x29/0x3a
 [<ffffffff8107ecfb>] release_pages+0x136/0x192
 [<ffffffff8108ed60>] free_pages_and_swap_cache+0x7a/0x95
 [<ffffffff810888c8>] unmap_region+0x10e/0x124
 [<ffffffff8108965a>] do_munmap+0x202/0x27a
 [<ffffffff81089f73>] mmap_region+0x93/0x427
 [<ffffffff8108b1a2>] ? mprotect_fixup+0x3ea/0x4da
 [<ffffffff8108a855>] do_mmap_pgoff+0x316/0x37b
 [<ffffffff81024664>] sys32_mmap2+0x7b/0xd4
 [<ffffffff81023a12>] sysenter_do_call+0x1b/0x66
Comment 3 Bug Zapper 2008-11-26 06:07:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:44:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.